Package org.kapott.hbci.status

# Class HBCIRetVal

java.lang.Object
org.kapott.hbci.status.HBCIRetVal

All Implemented Interfaces:
  `Serializable`

public final class HBCIRetVal extends Object implements Serializable

Repräsentation eines HBCI-Statuscodes. Objekte dieser Klasse stellen einen einzigen HBCI-Returncode dar, welcher aus einer Antwortnachricht von der Bank extrahiert wurde.

Zu den hier bereitgestellten Informationen zählen neben den eigentlichen Status-Daten (Status-Code, Textmeldung) auch eine numerische Darstellung des Teiles der ursprünglich gesendeten Nachricht, auf den sich diese Statusmeldung bezieht. Sofern das möglich ist, wird diese numerische Darstellung zusätzlich in den Lowlevel-Namen des betreffenden Nachrichtenteils umgewandelt, so dass für den Anwender eine bessere Lokalisierung des Problems möglich ist.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`code`
HBCI-Fehlercode.
`String`
`deref`
Nummer des Datenelementes oder der Datenelementgruppe, auf das sich dieser Rückgabewert bezieht.
`String`
`element`
Lowlevel-Name des Nachrichtenelementes, auf das sich dieser Rückgabewert bezieht.
`String[]`
`params`
Optionale Parameter, die im Zusammenhang mit `text` zu interpretieren sind.
`String`
`segref`
Segmentnummer in der gesendeten Nachricht, auf das sich dieser Rückgabewert bezieht.
`String`
`text`
Beschreibender Text.

## Constructor Summary

Constructors
Constructor
Description
`HBCIRetVal(String segref, String deref, String element, String code, String text, String[] params)`
Wird von der HBCI4Java-Dialog-Engine aufgerufen
`HBCIRetVal(Properties result, String header)`
Wird von der HBCI4Java-Dialog-Engine aufgerufen
`HBCIRetVal(Properties result, String header, String segref)`
Wird von der HBCI4Java-Dialog-Engine aufgerufen

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`boolean`
`isError()`
Gibt zurück, ob dieser Rückgabewert eine HBCI-Fehlermeldung darstellt
`boolean`
`isSuccess()`
Gibt zurück, ob dieser Rückgabewert eine Erfolgsmeldung vom HBCI-Server darstellt
`boolean`
`isWarning()`
Gibt zurück, ob dieser Rückgabewert eine Warnung vom HBCI-Server darstellt
`String`
`toString()`
Gibt diesen Rückgabewert in einer lesbaren Darstellung zurück.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### code

public String code

HBCI-Fehlercode. Diese Codes bestehen immer aus vier Ziffern. Die erste Ziffer kennzeichnet dabei die Art:

- 0 - Erfolgsmeldung

- 3 - Warnung

- 9 - Fehlermeldung

### segref

public String segref
Segmentnummer in der gesendeten Nachricht, auf das sich dieser Rückgabewert bezieht. Falls es sich um einen globalen Rückgabewert handelt (d.h. einen, der sich auf die komplette Nachricht bezieht), so ist dieser Wert `null`

### deref

public String deref
Nummer des Datenelementes oder der Datenelementgruppe, auf das sich dieser Rückgabewert bezieht. Diese Information ist nicht in jedem Fall vorhanden (z.B. wenn es sich um einen globalen Fehlercode handelt oder wenn sich der Rückgabewert auf ein komplettes Segment bezieht). In einem solchen Fall ist dieser Wert `null`.

### text

public String text
Beschreibender Text. Dieser Text wird vom HBCI-Server der Bank generiert.

### params

public String[] params
Optionale Parameter, die im Zusammenhang mit `text` zu interpretieren sind.

### element

public String element
Lowlevel-Name des Nachrichtenelementes, auf das sich dieser Rückgabewert bezieht. Dieser Name kann nicht in jedem Fall bestimmt werden, der Wert dieses Feldes kann dann auch `null` sein.

## Constructor Details

### HBCIRetVal

public HBCIRetVal(String segref, String deref, String element, String code, String text, String[] params)
Wird von der HBCI4Java-Dialog-Engine aufgerufen

### HBCIRetVal

public HBCIRetVal(Properties result, String header)
Wird von der HBCI4Java-Dialog-Engine aufgerufen

### HBCIRetVal

public HBCIRetVal(Properties result, String header, String segref)
Wird von der HBCI4Java-Dialog-Engine aufgerufen

## Method Details

### toString

public String toString()
Gibt diesen Rückgabewert in einer lesbaren Darstellung zurück.

Overrides:
  `toString` in class `Object`
Returns:
  einen String, der alle Informationen dieses Objektes kurz zusammenfasst.

### isSuccess

public boolean isSuccess()
Gibt zurück, ob dieser Rückgabewert eine Erfolgsmeldung vom HBCI-Server darstellt

### isWarning

public boolean isWarning()
Gibt zurück, ob dieser Rückgabewert eine Warnung vom HBCI-Server darstellt

### isError

public boolean isError()
Gibt zurück, ob dieser Rückgabewert eine HBCI-Fehlermeldung darstellt

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`